org.apache.lucene.document

## Class SortedNumericDocValuesField

- java.lang.Object
- - org.apache.lucene.document.Field
  - - org.apache.lucene.document.SortedNumericDocValuesField

- All Implemented Interfaces:
    IndexableField

      public class SortedNumericDocValuesField
      extends Field

  Field that stores a per-document `long` values for scoring, sorting or value retrieval. Here's an example usage:

         document.add(new SortedNumericDocValuesField(name, 5L));
         document.add(new SortedNumericDocValuesField(name, 14L));

  Note that if you want to encode doubles or floats with proper sort order, you will need to encode them with `NumericUtils`:

         document.add(new SortedNumericDocValuesField(name, NumericUtils.floatToSortableInt(-5.3f)));

  If you also need to store the value, you should add a separate `StoredField` instance.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.document.Field

      `Field.Index, Field.Store, Field.TermVector`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static FieldType` | `TYPE` Type for sorted numeric DocValues.

    - ### Fields inherited from class org.apache.lucene.document.Field

      `boost, fieldsData, name, tokenStream, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SortedNumericDocValuesField(String name, long value)` Creates a new DocValues field with the specified 64-bit long value

  - ### Method Summary

    - ### Methods inherited from class org.apache.lucene.document.Field

      `binaryValue, boost, fieldType, name, numericValue, readerValue, setBoost, setBytesValue, setBytesValue, setByteValue, setDoubleValue, setFloatValue, setIntValue, setLongValue, setReaderValue, setShortValue, setStringValue, setTokenStream, stringValue, tokenStream, tokenStreamValue, toString, translateFieldType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE

          public static final FieldType TYPE

      Type for sorted numeric DocValues.

  - ### Constructor Detail

    - #### SortedNumericDocValuesField

          public SortedNumericDocValuesField(String name,
                                     long value)

      Creates a new DocValues field with the specified 64-bit long value
      Parameters:
        `name` - field name
        `value` - 64-bit long value
      Throws:
        `IllegalArgumentException` - if the field name is null

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.